Subject: Re: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Gerd Möllmann <[email-masked]>
Date: Mon, 18 Sep 2023 16:56:55 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Gerd Möllmann <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
>> Date: Mon, 18 Sep 2023 16:42:17 +0200
>> 
>> Here's the backtrace from the second watchdog, the one watching loaddefs
>> being loaded
>> 
>> Debugger entered: nil
>>   (if my-debug-on-loaddefs (debug) (setq my-debug-on-loaddefs t))
>>   my-debug-on-loaddefs()
>>   (lambda nil (my-debug-on-loaddefs))()
>>   eval-after-load-helper("/Applications/Emacs.app/Contents/Resources/lisp/lo...")
>>   run-hook-with-args(eval-after-load-helper "/Applications/Emacs.app/Contents/Resources/lisp/lo...")
>>   do-after-load-evaluation("/Applications/Emacs.app/Contents/Resources/lisp/lo...")
>>   documentation(duplicate-dwim)
>
> Any idea why a call to 'documentation' loads loaddefs?  Did you indeed
> "hack the Emacs you were running"?

No idea, and I didn't hack it at all.  This was a minute after I started
a newly-build Emacs, wondered why a C-c C-k binding didn't work.  I
then pressed C-c alone to see what it is bound to, with which-key.